@charset "UTF-8";

body {overscroll-behavior-y : contain;}

.login-wrapper {
    min-height: 100vh;
    background: linear-gradient(135deg, #e9f5fb 0%, #c6e0ee 100%);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: calc(var(--vh, 1vh) * 100);
}
.login-box {
    background: rgba(255,255,255,0.95);
    /*border-radius: 18px;*/
    box-shadow: 0 8px 32px rgba(30, 70, 130, 0.12);
    padding: 32px 24px 8px 24px;
    max-width: 420px;
    width: 100%;
    z-index: 2;
    display: flex;
    flex-direction: column;
    gap: 70px;
    height: 100%;
}
.login-box form {
    display: flex;
    flex-direction: column;
    gap: 12px;
}
.login-box .bottom-area {
    margin-top: auto;
}
.login-btn {
    background: #fd3a46;
    color: #fff;
    border-radius: 9px;
    border: none;
    padding: 12px 0;
    font-weight: bold;
    font-size: 1.02rem;
    letter-spacing: 1px;
    margin-top: 10px;
}
.guide-msg {
    font-size: 12px;
    color: #888;
    margin-top: 15px;
    text-align: center;
}
.login-illust {
    position: static;
    width: 120px;
    height: 120px;
    background: url('/resources/front/img/common/safetyworks_icon_1x2.png') no-repeat center center;
    background-size: contain;
    opacity: 1;
}

.title-area {
    display: flex;
    align-items: center;
    gap: 3px;
    margin-bottom: 1px;
}

.text-group {
    display: flex;
    flex-direction: column;
    justify-content: center;
    flex-grow: 1;
    min-width: 0;
}

.text-group h1 {
    margin: 0;
    font-weight: 700;
    font-size: 1.4rem;
    color: #1a355e;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 100%;
}

.text-group h2 {
    margin: 0;
    font-size: 1rem;
    font-weight: 500;
    color: #4d86c6;
    margin-top: 2px;
}

.save-id-toggle {
    display: flex;
    margin-top: 10px;
    margin-left: 15px;
    align-items: center;
    gap: 8px;
    font-size: 14px;
    user-select: none;
}

.save-id-toggle input[type="checkbox"] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

.save-id-toggle label {
    position: relative;
    width: 40px;
    height: 22px;
    background-color: #ccc;
    border-radius: 15px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.save-id-toggle label::before {
    content: "";
    position: absolute;
    left: 2px;
    top: 2px;
    width: 18px;
    height: 18px;
    background-color: white;
    border-radius: 50%;
    transition: transform 0.3s;
}

.save-id-toggle input[type="checkbox"]:checked + label {
    background-color: #FBA919;
}

.save-id-toggle input[type="checkbox"]:checked + label::before {
    transform: translateX(18px);
}

.login-etc {
    gap: 15px;
    margin-top: 20px;
    margin-left: 15px;
    padding-top: 20px;
    border-top: 1px solid var(--color-gray-light);
    font-size: 1.4rem;
}
